---
title: llarp::service::AuthResult
summary: auth result object with code and reason 

---

# llarp::service::AuthResult



auth result object with code and reason 


`#include <auth.hpp>`

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| AuthResultCode | **[code](Classes/structllarp_1_1service_1_1AuthResult.md#variable-code)**  |
| std::string | **[reason](Classes/structllarp_1_1service_1_1AuthResult.md#variable-reason)**  |

## Public Attributes Documentation

### variable code

```cpp
AuthResultCode code;
```


### variable reason

```cpp
std::string reason;
```


-------------------------------

Updated on 2022-09-19 at 17:18:34 +0000